Bug 9904 - Link to plugins management should not be in global navigation
Summary: Link to plugins management should not be in global navigation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 15:29 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9904 - Link to plugins management should not be in global navigation (1.59 KB, patch)
2013-03-22 15:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9904 - Link to plugins management should not be in global navigation (1.61 KB, patch)
2013-03-29 09:50 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9904 - Link to plugins management should not be in global navigation (1.71 KB, patch)
2013-03-30 19:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-22 15:29:57 UTC
I think a link to the plugins page is not something which belongs in the global "more" menu. There is a link to it on the main Tools page, which suffices for similarly-important features.
Comment 1 Owen Leonard 2013-03-22 15:37:55 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-03-29 09:50:03 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-30 19:05:48 UTC
Created attachment 17045 [details] [review]
[PASSED QA] Bug 9904 - Link to plugins management should not be in global navigation

With the addition of the Plugins feature a link was added to the global
navigation in the "More" submenu. I think this is unnecessary. The
global navigation should be limited to primary Koha functons.

This patch removes the link. To test, apply the patch and confirm that
there is no longer a link to Plugins in the header navigation under
"More."

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Template patch, works as advertised.
Comment 4 Jared Camins-Esakov 2013-03-30 21:19:27 UTC
This patch has been pushed to master.
Comment 5 Nicole C. Engard 2013-04-01 16:55:04 UTC
I missed this originally, but I don't agree with this at all - it's a new module - how else do you get to the new module if it's not in the module menu?
Comment 6 Kyle M Hall 2013-04-01 16:56:59 UTC
I also think this is a bad move. It's going to confuse, not clarify. Both the tool and report plugin links filter some of the plugins and aren't meant to be for full plugin management. I believe this commit should be reverted.
Comment 7 Galen Charlton 2013-08-12 17:03:19 UTC
(In reply to Kyle M Hall from comment #6)
> I also think this is a bad move. It's going to confuse, not clarify. Both
> the tool and report plugin links filter some of the plugins and aren't meant
> to be for full plugin management. I believe this commit should be reverted.

I won't be the one to revert it, and I'm setting the status accordingly.

From the POV of an ordinary user, plugins are *not* a separate module -- they are simply a mechanism by which additional tools and reports can be made available.  There really should be no separate plugins home page, just:

- an admin page to upload and manage them
- list of tool plugins (with "Home > Tools > Tool Plugins" as the breadcrumb list and the tools sidebar)
- list of report plugins (with "Home > Reports > Report Plugins" as the breadcrumb list and the reports sidebar)

The later two pages should *not* offer the upload link in the sidebar -- that is purely an administrative function.

I'll file a separate bug for the above.